Package twisted :: Package python :: Module mvc |
[show private | hide private]
[frames | no frames]

## Module twisted.python.mvc

A simple Model-View-Controller framework for separating presentation, business logic, and data.

A google search reveals several interesting pages to refer to while designing this implementation:

http://www.object-arts.com/EducationCentre/Overviews/MVC.htm

Model-View-Presenter is a slightly newer concept developed by IBM in the early-mid nineties and now used extensively in Dolphin SmallTalk:

http://www.object-arts.com/EducationCentre/Overviews/ModelViewPresenter.htm

Pretty pictures, for sure. I'll try to keep this implementation simple while trying to learn as much as possible from previous implementations.

This module creates many circular references. It is therefore recommended that subclasses do not implement a __del__ method.

Variable Summary
`MetaInterface` | `IController`
`MetaInterface` | `IModel`
`MetaInterface` | `IView`

Variable Details

    ### IController Type: `MetaInterface` Value:
        <class 'twisted.web.woven.interfaces.IController'>

    ### IModel Type: `MetaInterface` Value:
        <class 'twisted.web.woven.interfaces.IModel'>

    ### IView Type: `MetaInterface` Value:
        <class 'twisted.web.woven.interfaces.IView'>

Generated by Epydoc 1.1 on Thu May 8 13:18:56 2003 | http://epydoc.sf.net